Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064930 - Openstack-foreman: swift parameters names are unclear
Summary: Openstack-foreman: swift parameters names are unclear
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Jason Guiditta
QA Contact: Ami Jeain
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 15:08 UTC by Dafna Ron
Modified: 2014-09-08 05:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-22 20:33:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dafna Ron 2014-02-13 15:08:31 UTC
Description of problem:

looking at the foreman swift host groups, the parameters names are not clear. 

Here is the parameters from packstack: 

# The IP address on which to install the Swift proxy service
# (currently only single proxy is supported)
CONFIG_SWIFT_PROXY_HOSTS=10.35.160.133

# The password to use for the Swift to authenticate with Keystone
CONFIG_SWIFT_KS_PW=0b48705beb8545d1

# A comma separated list of IP addresses on which to install the
# Swift Storage services, each entry should take the format
# <ipaddress>[/dev], for example 127.0.0.1/vdb will install /dev/vdb
# on 127.0.0.1 as a swift storage device(packstack does not create the
# filesystem, you must do this first), if /dev is omitted Packstack
# will create a loopback device for a test setup
CONFIG_SWIFT_STORAGE_HOSTS=10.35.160.133

# Number of swift storage zones, this number MUST be no bigger than
# the number of storage devices configured
CONFIG_SWIFT_STORAGE_ZONES=1

# Number of swift storage replicas, this number MUST be no bigger
# than the number of storage zones configured
CONFIG_SWIFT_STORAGE_REPLICAS=1

# FileSystem type for storage nodes
CONFIG_SWIFT_STORAGE_FSTYPE=ext4



Looking at the parameters in foreman the names are different and I think that following swift documentation and understanding of the component it's not really clear what we need to use.


Note You need to log in before you can comment on or make changes to this bug.